/**
 * 游戏常量
 */
export default class GameConst {
	// 场景
	public static stage:egret.Stage;
	// 用于控制全局音乐是否播放和音乐按钮状态
	public static isPlayMusic:boolean = true;

	// 移除数组里的元素
	public static removeEle(e, arr) {
		let index = arr.indexOf(e);
        if (index >= 0) {
            arr.splice(index, 1)
        }
	}
	
	public static drawRigidBody(obj:any){

	}

	// 画刚体
    // public drawRigidBody(){
    //     let rigidBody = new annie.Shape();
    //     rigidBody.clear();
    //     rigidBody.beginFill("#ff0000");
    //     rigidBody.drawRect( -this.crashWidth/2, - this.crashHeight/2, this.crashWidth, this.crashHeight); // 左上角坐标和宽高
    //     rigidBody.endFill();

    //     this.view.userPlane.plane.addChild(rigidBody)
	// }
	
	// 计算距离
	public static distance(obj1:eui.Image,obj2:eui.Image){
		let distance = Math.sqrt( Math.pow(obj1.x-obj2.x,2) + Math.pow(obj1.y-obj2.y,2));
		return distance;
	}

	// 重新随机排序
    public randomsort(a, b){
        return Math.random()>.5 ? -1 : 1; 
    }

}